Public Member Functions | Public Attributes | List of all members
libfreehand::FHParagraphProperties Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHParagraphProperties ()
bool | empty () const

## Public Attributes
std::map< unsigned, unsigned > | m_idToIntMap
std::map< unsigned, double > | m_idToDoubleMap
std::map< unsigned, unsigned > | m_idToZoneIdMap

## Constructor & Destructor Documentation

## ◆ FHParagraphProperties()

libfreehand::FHParagraphProperties::FHParagraphProperties | ( |  | ) |
| inline

## Member Function Documentation

## ◆ empty()

bool libfreehand::FHParagraphProperties::empty | ( |  | ) | const
| inline

Referenced by libfreehand::FHParser::readVMpObj().

## Member Data Documentation

## ◆ m_idToDoubleMap

std::map<unsigned,double> libfreehand::FHParagraphProperties::m_idToDoubleMap

Referenced by libfreehand::FHCollector::_appendParagraphProperties(), empty(), and libfreehand::FHParser::readVMpObj().

## ◆ m_idToIntMap

std::map<unsigned,unsigned> libfreehand::FHParagraphProperties::m_idToIntMap

Referenced by libfreehand::FHCollector::_appendParagraphProperties(), empty(), and libfreehand::FHParser::readVMpObj().

## ◆ m_idToZoneIdMap

std::map<unsigned,unsigned> libfreehand::FHParagraphProperties::m_idToZoneIdMap

Referenced by libfreehand::FHCollector::_appendParagraphProperties(), empty(), and libfreehand::FHParser::readVMpObj().

The documentation for this struct was generated from the following file:

- FHTypes.h